idx-view.hh File Reference
`#include <gecode/int.hh>`
`#include <gecode/int/idx-view.hpp>`

Go to the source code of this file.

## Classes

class | Gecode::Int::IdxView< View >
| Class for pair of index and view. More...
class | Gecode::Int::ViewToVarArg< View >
| Class to map VarArg type to view. More...
class | Gecode::Int::IdxViewArray< View >
| An array of IdxView pairs. More...

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Int
| Finite domain integers.